<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd" />

<xsl:template match="/">
<html>
<head>
	<title>SlingShot: Web Invoicing</title>
	<link rel="stylesheet" href="stylesheets/layout.css"/>
</head>

<body>

<!-- Top Area -->

<div class="toptile">&#160;</div>
<div class="topleft">&#160;</div>
<div class="topright">&#160;</div>

<div class="toptile2">&#160;</div>
<div class="topleft2">&#160;</div>
<div class="topright2">&#160;</div>

<div class="toptile3">
<div class="columnhead">

<div class="startdate">Date:</div>
<div class="client">Client:</div>
<div class="project">Project Description:</div>
<div class="hours">Hours:</div>
<div class="rate">Rate:</div>
<div class="status">Status:</div>

</div>
</div>

<div class="topleft3">&#160;</div>
<div class="topright3">&#160;</div>

<!-- Content Area -->

<div class="leftedge">
<div class="rightedge">
<div class="contentarea">
<div class="spacer">&#160;</div>
<form>
<xsl:apply-templates select="root/timesheet" />

<div class="formrow">
<div class="link"><a href="addinvoice.html">Add a New Project</a></div>
</div>
</form>

<div class="spacer">&#160;</div>
</div>
</div>
</div>

<!-- Base -->

<div class="baseleft">
<div class="baseright">
<div class="basetile">&#160;</div>
</div>
</div>

</body>
</html>
</xsl:template>

<xsl:template match="root/timesheet">
<div class="scrollarea">

<xsl:for-each select="entry">
<div class="row">
<input onfocus="select()" class="startdate" type="text" name="date"><xsl:attribute name="value"><xsl:value-of select="date" /></xsl:attribute></input>
<input onfocus="select()" class="client" type="text" name="client"><xsl:attribute name="value"><xsl:value-of select="client" /></xsl:attribute></input>
<input onfocus="select()" class="project" type="text" name="project"><xsl:attribute name="value"><xsl:value-of select="project" /></xsl:attribute></input>
<input onfocus="select()"  class="hours" type="text" name="hours"><xsl:attribute name="value"><xsl:value-of select="hours" /> hours</xsl:attribute></input>
<input onfocus="select()" class="rate" type="text" name="rate"><xsl:attribute name="value">$<xsl:value-of select="rate" /></xsl:attribute></input>
<input onfocus="select()" class="status" type="text" name="status"><xsl:attribute name="value"><xsl:value-of select="status" /></xsl:attribute></input>
<span class="addbutton"><a href="#">Edit</a></span>
<span class="invoicebutton"><a href="#">Invoice</a></span>
</div>
</xsl:for-each>
</div>

</xsl:template>



</xsl:stylesheet>
